.primary {
    z-index: 50;
    position: relative;
    margin-bottom: rem(32);

    &__item {
        position: relative;

        &:after,
        &:before {
            left: 0;
            right: 0;
            content: '';
            z-index: 10;
            height: rem(260);
            position: absolute;
            opacity: 0.5;

        }

        &:after {
            bottom: 0;
            background: linear-gradient(180.00deg, rgba(0, 0, 0, 0),rgba(0, 0, 0, 1) 100%);
        }

        &:before {
            top: 0;
            background: linear-gradient(180.00deg, rgb(0, 0, 0),rgba(0, 0, 0, 0) 100%);
        }
    }

    &__image {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            position: absolute;
            background: rgba(0, 0, 0, 0.2);
        }

        &--xl {
            display: none;
        }
    }

    &__content {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        position: absolute;
        padding-bottom: rem(66);
    }

    &__container {
        margin: 0 auto;
        padding: 0 rem(16);
        display: flex;
        flex-direction: column;
        row-gap: rem(12);
    }

    &__title {
        margin: 0;
        font-weight: 400;
        font-size: rem(48);
        line-height: rem(70);
        text-transform: uppercase;
        font-family: var(--font-secondary);
    }

    &__pagination {
        z-index: 50;
        left: 0;
        right: 0;
        font-size: 0;
        line-height: 0;
        bottom: rem(28);
        position: absolute;

        .swiper-pagination {
            margin: 0 auto;
            padding: 0 rem(15);
            display: flex;
            align-items: center;
            column-gap: 2px;
        }

        .swiper-pagination-bullet {
            height: 6px;
            flex-grow: 1;
            display: block;
            overflow: hidden;
            position: relative;
            border-radius: 10px;
            background: rgba(255, 255, 255, 0.2);

            &:before {
                top: 0;
                left: 0;
                bottom: 0;
                content: '';
                width: 0%;
                background: white;
                position: absolute;
                border-radius: rem(50);
            }
        }

        .swiper-pagination-bullet-active {

            &:before {
                animation-name: progress;
                animation-duration: 60000ms;
                animation-iteration-count: 1;
                animation-direction: normal;
                animation-timing-function: linear;
                animation-fill-mode: forwards;
            }
        }
    }

    @include media-breakpoint-up(sm) {

        &__item {

            &:after {
                height: rem(290);
            }

            &:before {
                height: rem(214);
            }
        }

        &__container {
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(md) {

        &__content {
            padding-bottom: rem(70);
        }

        &__container {
            max-width: 45.875rem;
        }

        &__title {
            font-size: rem(70);
            line-height: rem(70);
        }

        &__pagination {
            bottom: rem(30);

            .swiper-pagination {
                column-gap: 4px;
                max-width: 45.875rem;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__container {
            max-width: 62rem;
        }

        &__pagination {

            .swiper-pagination {
                max-width: 62rem;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__container {
            max-width: rem(1900);
        }

        &__content {
            padding-bottom: rem(100);
        }

        &__title {
            font-size: rem(120);
            line-height: rem(120);
        }

        &__image {

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__pagination {
            bottom: rem(32);

            .swiper-pagination {
                max-width: rem(1900);
                column-gap: 8px;
            }
        }

        &__item {
            overflow: hidden;
            //border-radius: rem(12);
            min-height: calc(100vh - 90px);
        }

        &__inner {
            //margin: 0 auto;
            //padding: 0 rem(15);
            //max-width: rem(1900);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__title {
            font-size: rem(160);
            line-height: rem(160);
        }

        &__item {
            //height: rem(900);
            //min-height: inherit;
            //max-height: calc(100vh - 120px);
        }
    }
}

@keyframes progress {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
}
